org.apache.ignite.spi.discovery.tcp.ipfinder.jdbc

## Class BasicJdbcIpFinderDialect

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.ipfinder.jdbc.BasicJdbcIpFinderDialect

All Implemented Interfaces:
  JdbcIpFinderDialect

    public class BasicJdbcIpFinderDialect
    extends Object
    implements JdbcIpFinderDialect

Basic JDBC dialect to use along with `TcpDiscoveryJdbcIpFinder`.

### Constructor Summary

Constructors
Constructor and Description
`BasicJdbcIpFinderDialect()`

### Method Summary

Methods
`String` `tableName()` Gets table name in a valid form to use as IP addresses

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicJdbcIpFinderDialect

    public BasicJdbcIpFinderDialect()

### Method Detail

#### tableName

    public String tableName()

Gets table name in a valid form to use as IP addresses

Specified by:
  `tableName` in interface `JdbcIpFinderDialect`
Returns:
  Table name.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017